Skip to main content
POST
Create a dynamic template

Authorizations

Authorization
string
header
required

Paubox API uses Bearer token authentication in the Authorization header.

Format: Authorization: Bearer YOUR_API_KEY_HERE

Example: Authorization: Bearer 9e5b092b632445b8f570c62ae54f30fda1044305

The legacy format Authorization: Token token=YOUR_API_KEY_HERE is also supported.

Body

multipart/form-data
data[name]
string
required

Name for the template

Example:

"welcome_template"

data[body]
file
required

Handlebars template file (.hbs)

Response

Template created successfully

id
string

Template ID

Example:

"template_123"

name
string

Template name

Example:

"welcome_template"

body
string

Template content (Handlebars)

Example:

"Hello {{name}}, welcome to our service!"

created_at
string<date-time>

Template creation timestamp

updated_at
string<date-time>

Template last update timestamp